# $Revision: 1.5 $, $Date: 2002/10/05 21:23:15 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Spreadsheet
%define		pnam	WriteExcel
Summary:	Spreadsheet::WriteExcel perl module
Summary(cs):	Modul Spreadsheet::WriteExcel pro Perl
Summary(da):	Perlmodul Spreadsheet::WriteExcel
Summary(de):	Spreadsheet::WriteExcel Perl Modul
Summary(es):	Mdulo de Perl Spreadsheet::WriteExcel
Summary(fr):	Module Perl Spreadsheet::WriteExcel
Summary(it):	Modulo di Perl Spreadsheet::WriteExcel
Summary(ja):	Spreadsheet::WriteExcel Perl ⥸塼
Summary(ko):	Spreadsheet::WriteExcel  
Summary(no):	Perlmodul Spreadsheet::WriteExcel
Summary(pl):	Modu Perla Spreadsheet::WriteExcel
Summary(pt):	Mdulo de Perl Spreadsheet::WriteExcel
Summary(pt_BR):	Mdulo Perl Spreadsheet::WriteExcel
Summary(ru):	  Perl Spreadsheet::WriteExcel
Summary(sv):	Spreadsheet::WriteExcel Perlmodul
Summary(uk):	  Perl Spreadsheet::WriteExcel
Summary(zh_CN):	Spreadsheet::WriteExcel Perl ģ
Summary(pl):	Modu perla Spreadsheet::WriteExcel
Name:		perl-Spreadsheet-WriteExcel
Version:	0.39
Release:	0.1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-56
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-modules >= 5.6.1
BuildRequires:	perl-Parse-RecDescent
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Spreadsheet::WriteExcel module can be used to create a cross-
platform Excel binary file. Multiple worksheets can be added to a
workbook and formatting can be applied to cells. Text, numbers,
formulas, hyperlinks and images can be written to the cells.

The Excel file produced by this module is compatible with Excel 5,
95, 97, 2000 and 2002.

%description -l pl
Modu Spreadsheet::WriteExcel moe by uywany do tworzenia
midzyplatformowych plikw binarnych Excela. Wiele arkuszy moe by
dodanych do jednej ksigi, a w komrkach mona uywa formatowania.
Tekst, liczby, formuy, odnoniki i obrazki mog by wpisywane do
komrek.

Pliki Excela produkowane przez ten modu s kompatybilne z Excelem 5,
95, 97, 2000 i 2002.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv WriteExcel/examples .
mv WriteExcel/doc html

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install examples/{README,*.pl,*.bmp} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
gzip -9 $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README html
%{perl_sitelib}/Spreadsheet/WriteExcel.pm
%dir %{perl_sitelib}/Spreadsheet/WriteExcel
%{perl_sitelib}/Spreadsheet/WriteExcel/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/README*
%{_examplesdir}/%{name}-%{version}/*.bmp
%{_examplesdir}/%{name}-%{version}/mo*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/m[^o]*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/[^m]*.pl

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Spreadsheet-WriteExcel.spec,v $
Revision 1.5  2002/10/05 21:23:15  ankry
- updated to 0.39
- fixed build

Revision 1.4  2002/09/16 08:32:56  ankry
- added translations
- added missing dir
- fix examples permissions, compress README
- release 0.2

Revision 1.3  2002/09/10 21:27:33  qboosh
- pl description

Revision 1.2  2002/09/03 09:12:11  grabba
- changed release from 1 to 0.1 - not tested yet

Revision 1.1  2002/09/03 09:11:10  grabba
- first version
